# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @title Log-Likelihood of Matrix-Variate Normal Data
#' @description \loadmathjax
#' It supposes that the data are independently from
#'   \mjeqn{N(0, \Psi, \Sigma)}{`N(0, Psi, Sigma)`}.
#'
#' @param x Array.
#' @param Psi Row convariance matrix.
#' @param Sig Column covariance matrix.
#'
#' @return Log-likelihood value.
#' @noRd
NULL

#' @title MLE of Row and Column Covariance Matrices
#' @description \loadmathjax
#' It supposes that the data are independently from
#'   \mjeqn{N(0, \Psi, \Sigma)}{`N(0, Psi, Sigma)`}.
#'
#' @param x Array.
#' @param maxIter The maximal step of iterations.
#' @param tol Tolerance.
#'
#' @return `list(logLik, Psi, PsiInv, Sig, SigInv)`.
#' @noRd
NULL

#' @title Center Data
#'
#' @param x1 See [get_suppSet()].
#' @param x2 See [get_suppSet()].
#' @param flag The result returned from [get_suppSet()].
#'
#' @return Array.
#' @noRd
NULL

#' @title Mean Matrices
#' @description
#' If `isTRUE(flag(i, j))`, `M1(i, j)` and `M2(i, j)` are estimated as
#' the pooled mean value.
#'
#' @param x1 See [get_suppSet()].
#' @param x2 See [get_suppSet()].
#' @param flag Logical matrix returned from [get_suppSet()].
#'
#' @return `list(M1, M2)`.
#' @noRd
cxx_mean <- function(x1, x2, flag) {
    .Call(`_PLFD_cxx_mean`, x1, x2, flag)
}

#' @title MLE of Row and Column Precision Matrices
#'
#' @param x1  See [get_suppSet()].
#' @param x2  See [get_suppSet()].
#' @param flag Matrix returned from [get_suppSet()].
#'
#' @return See the value of [cxx_mle()].
#' @noRd
cxx_prec <- function(x1, x2, flag) {
    .Call(`_PLFD_cxx_prec`, x1, x2, flag)
}

